Subject: Re: This week's goal.

From: Zheng Gengbing <[email-masked]>
Date: Fri, 19 Apr 1996 19:14:14 +0800 (EAT)

On Fri, 19 Apr 1996, Gu ZhaoJun wrote:

> Hi,
>   I have checket the file writenodes.c of 1.3* , see line 384 : 
>         sym.attr = (int) sy_ptr->attr;
> 
>   I have not found any problem,and yuo?
>

	I have changed that so they are same .

>   I think that the problem of 1.2* is that some people modifed dep_struct.h's
> "int sym.attr"(original is u_short sym.attr),but in  writenodes.c of 1.20 ,
>  line 384 is : 
>         sym.attr = (u_short) sy_ptr->attr; 
>                       ^^^^^^^^
> Are you have a problem?
> 

	They program only exist in the version of HIT . The type are not
matched in readnodes.c & writenodes.c . I think use the version of PKU will
be safe .

---

From: Zheng Gengbing <[email-masked]>
Date: Sun, 21 Apr 1996 09:00:47 +0800 (EAT)

On Fri, 19 Apr 1996, Gu ZhaoJun wrote:

>   
> 
>   What you mean the version of HIT? It is that in 1.3*?
>  
>   What you mean the version of PKU? where is it? 
> 
>

	I have merged hpf2dep in 1.3* , so in these two versions , all
directory are same except hpfcc which only presented in 1.37 .
And only the version contains hpfcc are maintained by PKU , the other is
maintained by you HIT . The most recent version of ours in -1.37 ,
while the most recent version of yours is 1.32 , that 's a version which
is merged by me with our version .

***************************************************************************
*     Zheng Gengbin                 *                                     *
*                                   *                                     *
*  Dept. of Computer Science        *  Phone:  86-10-2585088              *
*         & Technology              *  Email:                             *
*                                   *      [email-masked]   *
*  Peking University P.R.China      *  Mail:                              *
*                                   *      Room 1077 ,Building 47,        *
*                                   *      Peking University, P.R.China   *
***************************************************************************